package com.patzn.lims.frame.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.frame.entity.LmsYearPlanFile;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author patzn
 * @since 2018-07-25
 */
public interface ILmsYearPlanFileService extends IBaseService<LmsYearPlanFile> {


    Page<LmsYearPlanFile> page(Page<LmsYearPlanFile> page, LmsYearPlanFile lmsYearPlanFile);


    List<LmsYearPlanFile> list(LmsYearPlanFile lmsYearPlanFile);


    LmsYearPlanFile saveAndUpload(MultipartFile file, String bucketName, String foldPath, Long relId, Integer type);


    boolean deleteBatch(Long[] ids);


    boolean deleteByYearPlan(Long innerPlanId);


    void downloadFile(Long id, HttpServletResponse response);

}
